Page 1 of 1

Problem with Processor

Posted: Thu Jul 04, 2019 11:12 pm
by tadeo96
Hi.
I'm a student and I have been having troubles installing some drivers.
The drivers are the next:

https://www.theimagingsource.com/suppor ... for-linux/

I have no problems to install the second. But the first, I can't.
I'm trying to install them in a Rpi 2. I've tried with Raspbian, Ubuntu Mate, Ubuntu Server and continue with IOT Core.
I'm getting mad with this, I have changed the bir architechture from 32bits to 64 bits, installing manually ligcc1, libc6, dev-c.
I have no idea what to do.
I would apreciate any kind of help.
Thanks.

Re: Problem with Processor

Posted: Fri Jul 05, 2019 1:28 am
by rurwin
I don't see any files on that page that would work with a Raspberry Pi.

The Pi uses an ARM processor. All those files are for x86 processors. You need to talk to the ImagingSource and ask if they have ARM files available.

Re: Problem with Processor

Posted: Fri Jul 05, 2019 7:06 am
by Heater
You would get less mad if you read the pages you are downloading from first.

Requirements:

Ubuntu 18.04 64 bit camera library Tiscamera --- Intel Core i3 or similar

IC Barcode for Linux AMD64/x64 --- Intel Core i3 or similar

The Raspberry Pi is not an Intel processor it is an ARM. None of the above will run on it.

I suggest contacting the manufacturer of the devices for ARM builds of the drivers.

Actually if they do not want to supply source code for those drivers I would not use their devices at all.